%define		version 1.1.10
%define		release 1%{?dist}

Summary:	A MySQL server management, configuration and monitoring tool
Name:		mysql-administrator
Version:	%{version}
Release:	%{release}
Group:		Applications/Databases
License:	GPL
URL:		http://www.mysql.com/products/administrator
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	b4eb3eb6e9c0af950d801189aa23c917
Patch1:         %{name}-run.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	pcre-devel >= 3.9, gettext
BuildRequires:	libglade2-devel >= 2.0.0, gtkmm24-devel >= 2.4.0 mysql-devel

%description
MySQL Administrator is a powerful graphical administration console that
enables you to easily administer your MySQL environment and gain
significantly better visibility into how your databases are operating.
MySQL Administrator now integrates database management and maintenance
into a single, seamless environment, with a clear and intuitive graphical
user interface.

It's part of the MySQL Administration Suite.

%prep
%setup -q -n %{name}-%{version}/mysql-gui-common
%setup -q -n %{name}-%{version}/%{name}
cd ..
%patch1 -p0 -b .run

%build

# first we have to build the common libs
cd ../mysql-gui-common
%configure --with-commondirname=administrator
%{__make} %{?_smp_mflags}

# then the app itself
cd ../%{name}
%configure --with-commondirname=administrator
%{__make} %{?_smp_mflags}
#(cd source/linux; ./static_make)

%install
%{__rm} -rf $RPM_BUILD_ROOT
cd ../mysql-gui-common
%{__make} DESTDIR=$RPM_BUILD_ROOT install

cd ../%{name}
%{__make} DESTDIR=$RPM_BUILD_ROOT install -i

%{__install} -d $RPM_BUILD_ROOT%{_datadir}/mysql-gui/doc/administrator/
%{__cp} -a doc/* $RPM_BUILD_ROOT%{_datadir}/mysql-gui/doc/administrator/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc ChangeLog COPYING res/FAQ
%attr(0755,root,root) %{_bindir}/mysql-administrator
%attr(0755,root,root) %{_bindir}/mysql-administrator-bin
%attr(0755,root,root) %{_bindir}/mabackup
%{_datadir}/applications/*.desktop
%{_datadir}/mysql-gui/*.png
%dir %{_datadir}/mysql-gui/administrator
%{_datadir}/mysql-gui/administrator/*
%dir %{_datadir}/mysql-gui/doc/administrator
%{_datadir}/mysql-gui/doc/administrator/*
%{_datadir}/locale/*/*/*

%changelog
* Mon Jul 17 2006 Wojciech Gabor <tuptus@turox.org>
- rebuild on Aurox 12.0

* Tue Jul  4 2006 Wojciech Gabor <tuptus@turox.org>
- patch initial script

* Fri Jun 23 2006 Wojciech Gabor <tuptus@turox.org>
- Initial build on Aurox 11.1

* Sat Apr  3 2004 Alfredo Kojima <alfredo@mysql.com> 1.0.3_alpha-1
- initial RPM packaging

